<?php if ( ! defined( 'ABSPATH' ) ) exit;

return apply_filters( 'ninja_forms_i18n_onboarding', array(
    "step1" => esc_html__("Anytime you want to create a new form, just click Add New under Ninja Forms in your dashboard!", "ninja-forms"),
    "step2" => esc_html__("You can begin with a blank form, or choose any starter template.", "ninja-forms"),
    "step3" => esc_html__("You can add new fields with a click, or drag and drop them exactly where you want them.", "ninja-forms"),
    "step4" => esc_html__("You can drag and drop fields to change their order. Hover your mouse over a field to see copy, edit, and settings options. Or just click the field to go straight into its settings. Give it a try and let us know when you're ready!", "ninja-forms"),
    "step5" => esc_html__("Now that you're set with fields, let's take a look at form email and other actions.", "ninja-forms"),
    "step6" => esc_html__("Here are the Actions active right now for your form. Active Actions happen when a user submits your form. You can add new ones, or click on any of them to adjust their settings. Take a look around and let us know when you're ready to move on!", "ninja-forms"),
    "step7" => esc_html__("Now let's look at your form's Advanced settings.", "ninja-forms"),
    "step8" => sprintf( esc_html__("These Advanced settings control details about the form and how it behaves. You can learn more about them in %sour documentation%s.", "ninja-forms"), "<a href='https://ninjaforms.com/documentation/?utm_source=Ninja+Forms+Plugin&utm_medium=Onboarding-Sequence&utm_campaign=Documentation' target='_blank'>", "</a>"),
    "step9" => esc_html__("Now let's save your work and get the form ready to go live!", "ninja-forms"),
    "step9opt" => esc_html__("Give your new form a name!", "ninja-forms"),
    "appendTitle" => esc_html__("Append to Page", "ninja-forms"),
    "selectTitle" => esc_html__("Select a Page", "ninja-forms"),
    "createTitle" => esc_html__("Create a Page", "ninja-forms"),
    "chooseBtn" => esc_html__("Choose an existing page", "ninja-forms"),
    "createBtn" => esc_html__("Create a new page", "ninja-forms"),
    "step10" => esc_html__("See more options, or even create a sharable link!", "ninja-forms"),
    "pages" => esc_html__("Pages", "ninja-forms"),
    "newPage" => esc_html__("Page Title", "ninja-forms"),
    "back" => esc_html__("Back", "ninja-forms"),
    "go" => esc_html__("Let's do it!", "ninja-forms"),
    "exit" => esc_html__("All done? This will end the tutorial.", "ninja-forms"),
    "exitb1" => esc_html__("Yes", "ninja-forms"),
    "exitb2" => esc_html__("No", "ninja-forms"),
    "next" => esc_html__("Next", "ninja-forms"),
    "congratulations" => esc_attr__("Congratulations!", "ninja-forms"),
    "congratulations1" => sprintf( esc_html__("You've created your first Ninja Form! You can %splace it on any page%s or even %sshare it using just a link%s. And remember, if you ever need a hand we're always happy to help. You'll find a direct link to support on the Get Help tab!", "ninja-forms"), "<a href='https://ninjaforms.com/docs/publishing-a-form/?utm_source=Ninja+Forms+Plugin&utm_medium=Onboarding-Sequence&utm_campaign=Documentation' target='_blank'>", "</a>", "<a href='https://ninjaforms.com/docs/sharing-a-form-public-link/?utm_source=Ninja+Forms+Plugin&utm_medium=Onboarding-Sequence&utm_campaign=Documentation' target='_blank'>", "</a>" ),
    "congratulations2" => sprintf( esc_html__("Your love helps keep the lights on. If you have an extra minute, it'd mean a lot to us if you helped spread the word with a 5-Star rating%s on WordPress.org. Thank you for your support and here's to many more forms!%s", "ninja-froms"), " (&#11088;&#11088;&#11088;&#11088;&#11088;)", " &#128522;"),
    "rateUs" => esc_html__("Rate Ninja Forms on WordPress.org", "ninja-forms"),
    "inProgress" => esc_html__("In progress...", "ninja-forms"),
));
